package cn.com.poc.covenant.service;

import cn.com.poc.covenant.model.BizExtreactionContractTypeModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizExtreactionContractTypeService extends BaseService {

    BizExtreactionContractTypeModel get(Integer id) throws Exception;
    
    List<BizExtreactionContractTypeModel> findByExample(BizExtreactionContractTypeModel example,PagingInfo pagingInfo) throws Exception;
    
    void delete(BizExtreactionContractTypeModel model) throws Exception;
    
    void deleteById(Integer id) throws Exception;
    
    void deleteAll(Collection<Integer> ids) throws Exception;
    
    BizExtreactionContractTypeModel save(BizExtreactionContractTypeModel model) throws Exception;
    
    Collection<BizExtreactionContractTypeModel> saveAll(Collection<BizExtreactionContractTypeModel> models) throws Exception;
    
}